flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christofer Dutz <christofer.d...@c-ware.de>
Subject AW: AW: FlexUnit 4.2 ant build broken
Date Sat, 26 Apr 2014 10:17:59 GMT
Then I'll have a look at the Maven templates ...

As I could see there seems to be a maven release target in the ant scripts, that take care
of the signing and deploying. But it's built for the Sonatype OSS repo and not the Apache
one ... would investigate a little and update that to Apache. Then you could do the releases
yourself.

Chris

-----Urspr√ľngliche Nachricht-----
Von: Alex Harui [mailto:aharui@adobe.com] 
Gesendet: Freitag, 25. April 2014 15:12
An: dev@flex.apache.org
Betreff: Re: AW: FlexUnit 4.2 ant build broken

I've already checked in changes like that.  We found them moving CI to our own Windows box.
 Might need to think about doing a 4.2.1.


-Alex

On 4/25/14 1:47 AM, "Christofer Dutz" <christofer.dutz@c-ware.de> wrote:

>Hi,
>
>I too encountered some problems with the FlexUnit build on Windows 7 ...
>I fixed all issues by adjusting one of the URLs in the ant script, 
>which caused a double "/" in the url for downloading something related 
>with Fluint support.
>
>It seems the original github location no longer exists and github 
>forwards the client to another url, but in the case of the double "/"
>this doesn't work. By removing the "/" I got everything to build.
>I'll re-check my changes and commit them this weekend.
>
>One other thing I noticed is that we are downloading binary files from 
>the old flexunit github account ... I think it would be a good Idea to 
>change these urls. Eventually we could download the third party libs 
>from maven central (You can download from Maven Central as you can from 
>any other location).
>
>Chris
>
>________________________________________
>Von: Daniel Tiefenauer <Daniel.Tiefenauer@crealogix.com>
>Gesendet: Freitag, 25. April 2014 10:38
>An: dev@flex.apache.org
>Betreff: AW: FlexUnit 4.2 ant build broken
>
>Hi Justin
>I'm using Windows 7.
>
>By the way: I read in this post [1] that FlexUnit 4.2 will support Code 
>Coverage with Apparat. When will this be available?
>
>I tried to produce a coverage report by running 'ant test 
>-Dbuild.instrument="true"
>-DFLEX_COVER_HOME="path/to/FlexCoverDirectory"',
>
>As my FlexCoverDirectory I'm using a Flex 4.12/AIR4.0-SDK directory, 
>over which I copied the contents of the 'sdk-modifications-4_0'-folder 
>from the flexcover-0.90.zip found in FlexUnit4FlexCoverListener/in. My 
>ANT_HOME points to an installation of Ant 1.9.3 and my JAVA_HOME to the 
>Java 8 SDK.
>
>But I always get a "java.lang.NoClasDefFoundError". Is this feature 
>supposed to work?
>
>Regards
>Daniel
>
>[1] http://forums.adobe.com/message/3178595
>
>-----Urspr√ľngliche Nachricht-----
>Von: Justin Mclean [mailto:justin@classsoftware.com]
>Gesendet: Freitag, 25. April 2014 10:23
>An: dev@flex.apache.org
>Betreff: Re: FlexUnit 4.2 ant build broken
>
>Hi,
>
>Thanks for fining that - just out of interest what platform were you on?
>
>Justin


Mime
View raw message